#
# spec file for package libnftnl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnftnl
%define lname	libnftnl7
Version:        1.0.9
Release:        lp150.1.3
Summary:        Userspace library to access the nftables Netlink interface
License:        GPL-2.0+
Group:          Productivity/Networking/Security
Url:            http://netfilter.org/projects/libnftnl/

#Git-Clone:	git://git.netfilter.org/libnftnl
Source:         http://ftp.netfilter.org/pub/libnftnl/%name-%version.tar.bz2
Source2:        http://ftp.netfilter.org/pub/libnftnl/%name-%version.tar.bz2.sig
Patch1:         bufferov.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig >= 0.21
BuildRequires:  xz
BuildRequires:  pkgconfig(jansson) >= 2.3
BuildRequires:  pkgconfig(libmnl) >= 1.0.3

%description
libnftnl is a userspace library providing a low-level netlink
programming interface (API) to the in-kernel nf_tables subsystem.

%package -n %lname
Summary:        Userspace library to access the nftables Netlink interface
Group:          System/Libraries

%description -n %lname
libnftnl is a userspace library providing a low-level netlink
programming interface (API) to the in-kernel nf_tables subsystem.

%package devel
Summary:        Development files for libnftnl
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libnftnl is a userspace library providing a low-level netlink
programming interface (API) to the in-kernel nf_tables subsystem.

This subpackage contains libraries and header files for developing
applications that want to make use of libnftnl.

%prep
%setup -q
%patch -P 1 -p1

%build
%configure --with-xml-parsing --with-json-parsing \
	--includedir="%_includedir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnftnl.so.7*

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libnftnl.so
%_libdir/pkgconfig/libnftnl.pc
%doc COPYING

%changelog
* Tue Jan  2 2018 jengelh@inai.de
- Update to new upstream release 1.0.9
  * Mostly bug fixes plus one new nftnl_expr_fprintf() function.
* Fri Oct 13 2017 jengelh@inai.de
- Update to new upstream release 1.0.8
  * ct: add support for zone, helper and eventmask
  * exthdr: tcp option set support
  * rt: tcpmss get support
  * ct: add average bytes per packet counter support
  * exthdr: Add support for exthdr flags
- Add bufferov.diff
- Drop baselibs.conf
* Tue Dec 20 2016 jengelh@inai.de
- Update to new upstream release 1.0.7
  * Support for new kernel expressions: Number generator
    ("numgen"), routing ("rt"), range, inverted set lookups,
    inverted dynamic set updates (i.e. rule mismatch on full
    sets), packet quota, hash, Forward Information Base lookups
    ("fib"), reference to stateful objects, and "notrack".
  * Allow to add userdata to sets.
  * Support for stateful objects, including quota and counter
  * Support for layer 4 pseudoheader fields checksum updates
* Mon May 30 2016 jengelh@inai.de
- Update to new upstream release 1.0.6
  * New TLV infrastructure for user data are in rule, set and
  elements.
  * Support for the new tracing infrastructure.
  * Matching of ct bytes and packets.
  * meta prandom support.
  * Enhancements for the limit expressions.
  * Support for payload mangling.
  * Masquerading port range selection.
* Thu Sep 17 2015 jengelh@inai.de
- Update to new upstream release 1.0.5
  * Resolve improper symbol versioning in the shared library
* Wed Sep 16 2015 jengelh@inai.de
- Update to new upstream release 1.0.4
  * src: add batch abstraction
  * table: add netdev family support
  * chain: add netdev family support
  * set: add support for set timeouts
  * set_elem: add timeout support
  * data: increase maximum possible data size
  * set_elem: support expressions attached to set elements
  * dynset: support expression templates
* Mon Dec 15 2014 jengelh@inai.de
- Update to new upstream release 1.0.3
  * No upstream summary provided
  * Support for new features up to Linux 3.18
* Mon Dec  8 2014 jengelh@inai.de
- Drop %%version from subincludedir, it tends to break recompiles of
  already-built trees on library updates.
* Tue Sep 23 2014 jengelh@inai.de
- Correct pkgconfig-assisted location of headers to match up with
  remaining packages
* Fri Jun 27 2014 jengelh@inai.de
- Update to new upstream release 1.0.2
  * support for Linux 3.15 features, event monitoring, and fixes for
  the XML/JSON infrastructure
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 1.0.1
  * Memory leak and invalid read fixes
  * Add conntrack label match support
  * meta: Let user specify any combination of sreg/dreg
  * expr: ct: Add support for setting the mark
- Remove 0001-build-resolve-build-failure-involving-linux-netlink..patch,
  0002-build-resolve-compile-error-involving-XT_EXTENSION_M.patch
* Mon Dec 17 2012 jengelh@inai.de
- Initial package (1.0.0+git1) for build.opensuse.org
- Add 0001-build-resolve-build-failure-involving-linux-netlink..patch,
  0002-build-resolve-compile-error-involving-XT_EXTENSION_M.patch
